/*
 * #%L
 * Aquarium-Manager-Persistence
 * %%
 * Copyright (C) 2012 Aquarium-Manager-Gruppe
 * %%
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * #L%
 */
package test.service;

import org.springframework.data.jpa.domain.Specification;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import test.entities.Benutzer;
import test.repo.BenutzerRepository;

import javax.inject.Inject;

@Service
@Transactional(readOnly = true)
public class BenutzerServiceImpl implements BenutzerService {
    @Inject
    private BenutzerRepository repository;

    @Override
    public Benutzer leseBenutzer(final Specification<Benutzer> predicate) {
        return repository.findOne(predicate);
    }
}
