package test.service;

import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.data.jpa.domain.Specification;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;
import org.springframework.transaction.annotation.Transactional;
import test.config.SystemConfiguration;
import test.entities.Benutzer;
import test.entities.Benutzer_;

import javax.inject.Inject;
import javax.persistence.criteria.CriteriaBuilder;
import javax.persistence.criteria.CriteriaQuery;
import javax.persistence.criteria.Predicate;
import javax.persistence.criteria.Root;

@Transactional
@RunWith(SpringJUnit4ClassRunner.class)
@ContextConfiguration(classes = SystemConfiguration.class)
public class BenutzerServiceImplTest {
    @Inject
    BenutzerService service;

    @Test
    public void works() {
        service.leseBenutzer(new Specification<Benutzer>() {
            @Override
            public Predicate toPredicate(final Root<Benutzer> benutzerRoot, final CriteriaQuery<?> query, final CriteriaBuilder cb) {
                return cb.equal(benutzerRoot.get("benutzerName"), "admin");
            }
        });
    }

    @Test
    public void failsButShouldWork() {
        service.leseBenutzer(new Specification<Benutzer>() {
            @Override
            public Predicate toPredicate(final Root<Benutzer> benutzerRoot, final CriteriaQuery<?> query, final CriteriaBuilder cb) {
                return cb.equal(benutzerRoot.get(Benutzer_.benutzerName), "admin");
            }
        });
    }
}
